Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.sftp
Class SshFxpStatus

    java.lang.Object
      com.sshtools.j2ssh.subsystem.SubsystemMessage
          com.sshtools.j2ssh.sftp.SshFxpStatus

All Implemented Interfaces:
  com.sshtools.j2ssh.sftp.MessageRequestId

public class SshFxpStatus
extends SubsystemMessage
implements com.sshtools.j2ssh.sftp.MessageRequestId

DOCUMENT ME!

Field Summary
`static int` | `SSH_FXP_STATUS` DOCUMENT ME!
`static int` | `STATUS_FX_BAD_MESSAGE` DOCUMENT ME!
`static int` | `STATUS_FX_CONNECTION_LOST` DOCUMENT ME!
`static int` | `STATUS_FX_EOF` DOCUMENT ME!
`static int` | `STATUS_FX_FAILURE` DOCUMENT ME!
`static int` | `STATUS_FX_NO_CONNECTION` DOCUMENT ME!
`static int` | `STATUS_FX_NO_SUCH_FILE` DOCUMENT ME!
`static int` | `STATUS_FX_OK` DOCUMENT ME!
`static int` | `STATUS_FX_OP_UNSUPPORTED` DOCUMENT ME!
`static int` | `STATUS_FX_PERMISSION_DENIED` DOCUMENT ME!

Constructor Summary
`SshFxpStatus()` Creates a new SshFxpStatus object.
`SshFxpStatus(UnsignedInteger32 id, UnsignedInteger32 errorCode, java.lang.String errorMessage, java.lang.String languageTag)` Creates a new SshFxpStatus object.

Method Summary
`void` | `constructByteArray(ByteArrayWriter baw)` DOCUMENT ME!
`void` | `constructMessage(ByteArrayReader bar)` DOCUMENT ME!
`UnsignedInteger32` | `getErrorCode()` DOCUMENT ME!
`java.lang.String` | `getErrorMessage()` DOCUMENT ME!
`UnsignedInteger32` | `getId()` DOCUMENT ME!
`java.lang.String` | `getLanguageTag()` DOCUMENT ME!
`java.lang.String` | `getMessageName()` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.subsystem.SubsystemMessage
`fromByteArray, getMessageType, toByteArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SSH_FXP_STATUS

    public static final int SSH_FXP_STATUS

  DOCUMENT ME!

  See Also:
    Constant Field Values

### STATUS_FX_OK

    public static final int STATUS_FX_OK

  DOCUMENT ME!

  See Also:
    Constant Field Values

### STATUS_FX_EOF

    public static final int STATUS_FX_EOF

  DOCUMENT ME!

  See Also:
    Constant Field Values

### STATUS_FX_NO_SUCH_FILE

    public static final int STATUS_FX_NO_SUCH_FILE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### STATUS_FX_PERMISSION_DENIED

    public static final int STATUS_FX_PERMISSION_DENIED

  DOCUMENT ME!

  See Also:
    Constant Field Values

### STATUS_FX_FAILURE

    public static final int STATUS_FX_FAILURE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### STATUS_FX_BAD_MESSAGE

    public static final int STATUS_FX_BAD_MESSAGE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### STATUS_FX_NO_CONNECTION

    public static final int STATUS_FX_NO_CONNECTION

  DOCUMENT ME!

  See Also:
    Constant Field Values

### STATUS_FX_CONNECTION_LOST

    public static final int STATUS_FX_CONNECTION_LOST

  DOCUMENT ME!

  See Also:
    Constant Field Values

### STATUS_FX_OP_UNSUPPORTED

    public static final int STATUS_FX_OP_UNSUPPORTED

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### SshFxpStatus

    public SshFxpStatus(UnsignedInteger32 id,
                        UnsignedInteger32 errorCode,
                        java.lang.String errorMessage,
                        java.lang.String languageTag)

  Creates a new SshFxpStatus object.

Parameters:
  `id` - DOCUMENT ME!
  `errorCode` - DOCUMENT ME!
  `errorMessage` - DOCUMENT ME!
  `languageTag` - DOCUMENT ME!

### SshFxpStatus

    public SshFxpStatus()

  Creates a new SshFxpStatus object.

Method Detail

### getId

    public UnsignedInteger32 getId()

  DOCUMENT ME!

  Specified by:
    `getId` in interface `com.sshtools.j2ssh.sftp.MessageRequestId`
  Returns:
    DOCUMENT ME!

### getErrorCode

    public UnsignedInteger32 getErrorCode()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getErrorMessage

    public java.lang.String getErrorMessage()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getLanguageTag

    public java.lang.String getLanguageTag()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### constructMessage

    public void constructMessage(ByteArrayReader bar)
                          throws java.io.IOException,
                                 InvalidMessageException

  DOCUMENT ME!

  Specified by:
    `constructMessage` in class `SubsystemMessage`
  Parameters:
    `bar` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `InvalidMessageException` - DOCUMENT ME!

### getMessageName

    public java.lang.String getMessageName()

  DOCUMENT ME!

  Specified by:
    `getMessageName` in class `SubsystemMessage`
  Returns:
    DOCUMENT ME!

### constructByteArray

    public void constructByteArray(ByteArrayWriter baw)
                            throws java.io.IOException,
                                   InvalidMessageException

  DOCUMENT ME!

  Specified by:
    `constructByteArray` in class `SubsystemMessage`
  Parameters:
    `baw` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `InvalidMessageException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD